Arch Fence/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Arch_Frame/ru|Каркас]]
|[[Arch_Frame/ru|Каркас]]
Line 9: Line 10:
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>


{{VeryImportantMessage|THIS COMMAND IS PART OF THE INTEGRATED [[BIM_Workbench|BIM WORKBENCH]] IN V1.0<br>
This page has been updated for that version.}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name/ru=Ограждение
|Name/ru=Ограждение
Line 17: Line 23:
|Version=0.19
|Version=0.19
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


Line 24: Line 32:
[[Image:Arch Fence description example.png|600px]]
[[Image:Arch Fence description example.png|600px]]


<span id="Usage"></span>
==Применение==
==Применение==


Line 32: Line 41:
# Switch back to the [[Arch_Workbench|Arch Workbench]].
# Switch back to the [[Arch_Workbench|Arch Workbench]].
# Select the section, post and path in exactly that order.
# Select the section, post and path in exactly that order.
# Press the {{Button|[[Image:Arch_Fence.svg|16px]] [[Arch_Fence|Arch Fence]]}} button
# Press the {{Button|[[Image:Arch_Fence.svg|16px]] [[Arch_Fence|Fence]]}} button


<span id="Options"></span>
==Опции==
==Опции==


Line 40: Line 50:
# Section and Post are drawn at the origin so that they stand upright in front view
# Section and Post are drawn at the origin so that they stand upright in front view


<span id="Properties"></span>
==Свойства==
==Свойства==


<span id="Data"></span>
=== Данные ===
=== Данные ===


Line 50: Line 62:
* {{PropertyData|Number Of Sections}}: The total number of sections used to build the fence. This is calculated automatically.
* {{PropertyData|Number Of Sections}}: The total number of sections used to build the fence. This is calculated automatically.


<span id="View"></span>
=== Вид ===
=== Вид ===


* {{PropertyView|Use Original Colors}}: When set to {{TRUE}} the fence will use the colors from the original section and post. Otherwise the ShapeColor of the fence will be used to colorize the fence.
* {{PropertyView|Use Original Colors}}: When set to {{TRUE}} the fence will use the colors from the original section and post. Otherwise the ShapeColor of the fence will be used to colorize the fence.


<span id="Notes"></span>
==Примечания==
==Примечания==


Line 59: Line 73:
* [https://forum.freecadweb.org/viewtopic.php?t=36149 Forum thread] discussing Arch Fence functionality
* [https://forum.freecadweb.org/viewtopic.php?t=36149 Forum thread] discussing Arch Fence functionality


<span id="Scripting"></span>
==Программирование==
==Программирование==


Line 100: Line 115:




<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Arch_Frame/ru|Каркас]]
|[[Arch_Frame/ru|Каркас]]
Line 108: Line 124:
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>


{{Arch Tools navi{{#translation:}}}}
{{BIM_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 14:33, 11 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Ограждение

Системное название
Arch_Fence
Расположение в меню
Arch → Ограждение
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Нет

Описание

The Arch Fence is a object that builds a fence by repeating a single fence post and section along a given path.

Применение

Creating from scratch

  1. Use a workbench of your choice to create a single fence post and a single section.
  2. Create the path the fence should follow using the Sketcher Workbench or Draft Workbench.
  3. Switch back to the Arch Workbench.
  4. Select the section, post and path in exactly that order.
  5. Press the Fence button

Опции

For now the tool assumes the following

  1. The Path is drawn on the XY-Plane
  2. Section and Post are drawn at the origin so that they stand upright in front view

Свойства

Данные

  • ДанныеPath: The path the fence should follow
  • ДанныеPost: A single fence post to repeat
  • ДанныеSection: A single section to repeat
  • ДанныеNumber Of Posts: The total number of posts used to build the fence. This is calculated automatically.
  • ДанныеNumber Of Sections: The total number of sections used to build the fence. This is calculated automatically.

Вид

  • ВидUse Original Colors: When set to true the fence will use the colors from the original section and post. Otherwise the ShapeColor of the fence will be used to colorize the fence.

Примечания

  • Arch Fence was introduced in FC v0.19 by user furti.
  • Forum thread discussing Arch Fence functionality

Программирование

The Fence tool can be used in macros and from the Python console by using the following function:

Fence = buildFence(section, post, path)

Пример:

import FreeCAD
import Part
import Arch

parts = []

parts.append(Part.makeBox(2000, 50, 30, FreeCAD.Vector(0, 0, 1000 - 30)))
parts.append(Part.makeBox(2000, 50, 30))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(0, 15, 30)))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(1980, 15, 30)))

for i in range(8):
    parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector((2000 / 9 * (i + 1)) - 10, 15, 30)))

Part.show(Part.makeCompound(parts), "Fence_section")
fence_section = FreeCAD.ActiveDocument.Fence_section

sketch = FreeCAD.ActiveDocument.addObject("Sketcher::SketchObject", "Path")
sketch.Placement = FreeCAD.Placement(FreeCAD.Vector(0, 0, 0), FreeCAD.Rotation(0, 0, 0, 1))
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(20000, 0, 0)), False)
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(20000, 0, 0), FreeCAD.Vector(20000, 20000, 0)), False)

post = Part.makeBox(100, 100, 1000, FreeCAD.Vector(0, 0, 0))
Part.show(post, "Post")
post = FreeCAD.ActiveDocument.Post

Fence = Arch.buildFence(fence_section, post, sketch)